import orange from "@/icon/orange.svg";
import { NIcon } from "naive-ui";
import { RouterLink } from "vue-router";

const menuInfo = {
  options: [
    {
      label: () => "",
      key: "0",
      disabled: true,
      icon: () => h(NIcon, { class: "orange" }, { default: () => h(orange) }),
    },
    {
      key: "1",
      label: () => h(RouterLink, { to: "/home", class: "menu-item" }, { default: () => "首页" }),
    },
    {
      key: "2",
      label: () => h(RouterLink, { to: "/gallery", class: "menu-item" }, { default: () => "画廊" }),
    },
    {
      key: "3",
      label: () => h(RouterLink, { to: "/article", class: "menu-item" }, { default: () => "文章" }),
    },
    {
      key: "4",
      label: () => h(RouterLink, { to: "/plink", class: "menu-item" }, { default: () => "友链" }),
    },
  ],
  menuList: ["/home", "/gallery", "/article","/plink"],
};
export default menuInfo;
